Bug 1479554 - udev rule for hidraw add event doesn't get any BT related attributes any more
udev rule for hidraw add event doesn't get any BT related attributes any more
Status: NEW
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
26
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 15:21 EDT by Jerther
Modified: 2017-08-08 15:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1391854
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerther 2017-08-08 15:21:55 EDT
+++ This bug was initially created as a clone of Bug #1391854 +++

Description of problem:
I had set up a udev rule to switch function key handling on a Logitech K810 per this page: http://www.trial-n-error.de/de/posts/2012/12/31/logitech-k810-keyboard-configurator.

The udev rule was triggered until the latest update, after which it stopped being triggered. The rule looks for a particular BT address in ATTRS{address}. Using udevadm monitor shows no attributes being set in connection with the hidraw add event and udev-browse shows a paucity of attributes related to the given hidraw device.

Version-Release number of selected component (if applicable):
systemd-udev-229-16.fc24.x86_64

How reproducible:


Steps to Reproduce:
1. Connect the K810 keyboard via BT
2.
3.

Actual results:
The function keys keys are set to send logitech alternative key presses

Expected results:
The function keys keys are set to send function key presses


Additional info:

--- Additional comment from Robin A. Meade on 2016-11-07 15:18:30 EST ---

Me too. Logitech K810.

My udev rule works if I revert to the previously released kernel package.

kernel-4.7.9-200.fc24.x86_64 ==> udev rule works

kernel-4.8.4-200.fc24.x86_64 ==> udev rule doesn't work (address attr missing)

--- Additional comment from Robin A. Meade on 2016-11-09 13:28:57 EST ---

New 4.8.6 kernel has same problem. Workaround of reverting to 4.7.9 still works:

kernel-4.8.6-201.fc24.x86_64 ==> ATTRS{address} absent
kernel-4.8.4-200.fc24.x86_64 ==> ATTRS{address} absent
kernel-4.7.9-200.fc24.x86_64 ==> ATTRS{address} present

--- Additional comment from Robin A. Meade on 2016-11-17 14:05:03 EST ---

New 4.8.7 kernel has same problem:

kernel-4.8.7-200.fc24.x86_64 ==> ATTRS{address} absent
kernel-4.8.6-201.fc24.x86_64 ==> ATTRS{address} absent
kernel-4.8.4-200.fc24.x86_64 ==> ATTRS{address} absent
kernel-4.7.9-200.fc24.x86_64 ==> ATTRS{address} present

$ udevadm info -a -n /dev/hidraw2

  looking at device '/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/0005:046D:B319.0005/hidraw/hidraw2':
    KERNEL=="hidraw2"
    SUBSYSTEM=="hidraw"
    DRIVER==""


  looking at parent device '/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/0005:046D:B319.0005':
    KERNELS=="0005:046D:B319.0005"
    SUBSYSTEMS=="hid"
    DRIVERS=="hid-generic"
    ATTRS{country}=="21"


  looking at parent device '/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11':
    KERNELS=="hci0:11"
    SUBSYSTEMS=="bluetooth"
    DRIVERS==""
    ATTRS{address}=="34:88:5d:3e:03:bc"   <== MISSING
    ATTRS{type}=="ACL"                    <== MISSING



  looking at parent device '/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0':
    KERNELS=="hci0"
    SUBSYSTEMS=="bluetooth"
    DRIVERS==""
    ATTRS{address}=="7c:e9:d3:fe:ec:00"   <== MISSING
    ATTRS{name}=="myhostname"             <== MISSING
    ATTRS{type}=="BR/EDR"                 <== MISSING

--- Additional comment from Jerther on 2017-01-25 10:12:11 EST ---

Same on 4.9.4

$ uname -r
4.9.4-201.fc25.x86_64

$ udevadm info -a -n '/dev/hidraw2'

  looking at device '/devices/pci0000:00/0000:00:14.0/usb1/1-7/1-7:1.0/bluetooth/hci0/hci0:256/0005:046D:B319.0026/hidraw/hidraw2':
    KERNEL=="hidraw2"
    SUBSYSTEM=="hidraw"
    DRIVER==""

I had to remove the address criteria in the udev rule. Not cool, but I only have one bluetooth device.

--- Additional comment from dkasak on 2017-04-23 05:47:21 EDT ---

Still present on 4.10.9.

--- Additional comment from Fedora End Of Life on 2017-07-25 19:46:06 EDT ---

This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

--- Additional comment from Jerther on 2017-07-26 08:07:38 EDT ---

This is still present in Fedora 26

$ uname -r
4.11.9-300.fc26.x86_64

--- Additional comment from Fedora End Of Life on 2017-08-08 15:08:29 EDT ---

Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 1 Jerther 2017-08-08 15:24:00 EDT
As stated in my comment from 2017-07-26, this is still present in Fedora 26

$ uname -r
4.11.9-300.fc26.x86_64

Note You need to log in before you can comment on or make changes to this bug.